<launch>

  <!--
    # velocity_set #
    In:  /current_pose [geometry_msgs::PoseStamped]
    In:  /current_velocity [geometry_msgs::TwistStamped]
    In:  /localizer_pose [geometry_msgs::PoseStamped]
    In:  /points_no_ground [sensor_msgs::PointCloud2]
    In:  /safety_waypoints [autoware_msgs::Lane]
    In:  /state/stopline_wpidx [std_msgs::Int32]
    In:  /vector_map_info/* [vector_map_msgs::*]
    Out: /detection_range [visualization_msgs::MarkerArray]
    Out: /final_waypoints [autoware_msgs::Lane]
    Out: /node_status [autoware_system_msgs::NodeStatus]
    Out: /obstacle [visualization_msgs::Marker]
    Out: /obstacle_waypoint [std_msgs::Int32]
    Out: /stopline_waypoint [std_msgs::Int32]
  -->

  <include file='$(find my_waypoint_planner)/launch/velocity_set.launch'>
    <arg name='use_crosswalk_detection' default='false' />
    <arg name='points_topic' default='points_no_ground' />
    <arg name='velocity_offset' default='2' />
    <arg name='decelerate_vel_min' default='1.3' />
    <arg name='remove_points_upto' default='0.5' />
    <arg name='enable_multiple_crosswalk_detection' default='false' />
    <arg name='stop_distance_obstacle' default='5.0' /> <!--10-->
    <arg name='stop_distance_stopline' default='5' />  <!-- 5-->
    <arg name='detection_range' default='3' /> <!--1.3-->
    <arg name='points_threshold' default='1' /> <!-- 10 -->
    <arg name='detection_height_top' default='2.2' />
    <arg name='detection_height_bottom' default='-0.2' />
    <arg name='deceleration_obstacle' default='1.5' /> <!-- 1.5 -->
    <arg name='deceleration_stopline' default='0.6' />
    <arg name='velocity_change_limit' default='5' />
    <arg name='deceleration_range' default='0' />
    <arg name='temporal_waypoints_size' default='100' />
  </include>

</launch>
